
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define name	jamin
%define version	0.95.0
%define release %mkrel 5

Name: 	 	%{name}
Summary: 	Audio mastering interface
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Source2:	%{name}.png

URL:		http://jamin.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig jackit-devel libxml2-devel gtk2-devel ladspa-devel
BuildRequires:	fftw-devel >= 3.0.1
BuildRequires:	liblo-devel
BuildRequires:  perl-XML-Parser
Requires:	jackit swh-plugins

%description
JAMin is the JACK Audio Connection Kit (JACK) Audio Mastering interface. JAMin
is designed to perform professional audio mastering of any number of input
streams. It uses LADSPA for its backend DSP work, specifically the swh plugins
created by Steve Harris.

Features:
Linear filters (though this seems to be going out of fashion, oh well)
JACK I/O
30 band graphic EQ
1023 band hand drawn EQ with parametric controls
Spectrum analyser
3 band peak compressor
Lookahead brickwall limiter
Multiband stereo processing
Presets and scenes
Loudness maximiser

%prep
%setup -q


%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
cat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE2} \
	%{buildroot}%{_datadir}/pixmaps

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop << EOF
[Desktop Entry]
Name=Jamin
Comment=Audio mastering interface
Exec=%{name}
Icon=%{name}
StartupNotify=true
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/jamin-scene
%{_bindir}/jamin
%{_libdir}/ladspa/%{name}cont_1912.la
%{_libdir}/ladspa/%{name}cont_1912.so
#%{_menudir}/%name
%{_datadir}/%name
%{_mandir}/man1/jamin.1.bz2
%{_datadir}/applications/jamin.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/jamin.*
%{_datadir}/locale/ru/LC_MESSAGES/jamin.mo
%{_datadir}/mime/packages/jamin.xml


%changelog
* Sat Jan 09 2010 Texstar <texstar at gmail.com> 0.95.0-5pclos2010
- rebuild

* Mon Jul 06 2009 Texstar <texstar@gmail.com> 0.95-0-4pclos2009
- rebuild

* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.95.0-3
- Rebuild for pclos2007

* Fri Jul 29 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.95.0-2pclos2010
- Fix BuildRequires

* Mon Jul 25 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.95.0-1pclos2010
- New release 0.95.0
- Drop Patch ( Merged Upstream )

* Tue Oct 5 2004 Austin Acton <austin@mandrake.org> 0.9.0-2pclos2010
- requires jackit and swh (Alexandre Aractingi)

* Sun Aug 8 2004 Austin Acton <austin@mandrake.org> 0.9.0-1pclos2010
- 0.9.0
- configure 2.5

* Wed Dec 31 2003 Austin Acton <austin@mandrake.org> 0.8.0-1pclos2010
- initial package
